Page MenuHomePhabricator

"Transaction already in progress" error in sqlite
Closed, ResolvedPublic

Description

I'm getting this this error in my local setups.

Notice: SqlBagOStuff::set: Transaction already in progress (from DatabaseBase::query (LCStore_DB::get)), performing implicit commit! [Called from DatabaseBase::begin in ./includes/db/Database.php at line 2888] in ./includes/debug/Debug.php on line 282

It looks like there is some issue with SelBagOStuff and sqlite.

Cf. T45575


Version: unspecified
Severity: normal

Details

Reference
bz40451

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:06 AM
bzimport added a project: Wikimedia-Rdbms.
bzimport set Reference to bz40451.
bzimport added a subscriber: Unknown Object (MLST).

Can't reproduce on SQLite local installation.

LCStore_DB matches the default localization cache, the one using database.

Could you give us the list of queries tried by the script when the error occurs?

I've attempted to reproduce the bug using SQLite local installation.
I didn't get an error report.
As per the above mentioned comment, LCStore_DB indeed does match my default localisation cache. Do you have further details and instructions as to your circumstances when the error occurred?

LCStore_DB indeed does match my default localisation cache

So in your test you had not set up file-based l10n cache?

Change 366507 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@master] rdbms: Support secondary autocommit connections in LoadBalancer

https://gerrit.wikimedia.org/r/366507

Krinkle lowered the priority of this task from Normal to Low.Aug 18 2017, 1:30 AM
Krinkle moved this task from Untriaged to General library on the Wikimedia-Rdbms board.

Change 366507 merged by jenkins-bot:
[mediawiki/core@master] rdbms: Support secondary autocommit connections in LoadBalancer

https://gerrit.wikimedia.org/r/366507

Krinkle added subscribers: aaron, Krinkle.

Change 366507 merged by jenkins-bot:
[mediawiki/core@master] rdbms: Support secondary autocommit connections in LoadBalancer
https://gerrit.wikimedia.org/r/366507

@aaron Did this fix this task for DB-based object cache and localisation store? Or is another patch still needed that makes use of this?

aaron closed this task as Resolved.Oct 5 2017, 9:41 PM
aaron claimed this task.

This was actually fixed for new installs before that patch by moving the object cache table to a separate DB.